Loading...
Searching...
No Matches
symmetrize: Symmetrize matrix
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(\text{upper}(A) = \text{lower}(A)^T\) or \(\text{lower}(A) = \text{upper}(A)^T\) More...

## Functions

void | magmablas_csymmetrize (magma_uplo_t uplo, magma_int_t m, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| CSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.
void | magmablas_dsymmetrize (magma_uplo_t uplo, magma_int_t m, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue)
| DSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.
void | magmablas_ssymmetrize (magma_uplo_t uplo, magma_int_t m, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue)
| SSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.
void | magmablas_zsymmetrize (magma_uplo_t uplo, magma_int_t m, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| ZSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.

## Detailed Description

\(\text{upper}(A) = \text{lower}(A)^T\) or \(\text{lower}(A) = \text{upper}(A)^T\)

## Function Documentation

## magmablas_csymmetrize()

void magmablas_csymmetrize | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

CSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.

In Complex, it sets the diagonal to be Real.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA that is valid on input.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) The m by m matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dsymmetrize()

void magmablas_dsymmetrize | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

DSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.

In Complex, it sets the diagonal to be Real.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA that is valid on input.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The m by m matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_ssymmetrize()

void magmablas_ssymmetrize | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

SSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.

In Complex, it sets the diagonal to be Real.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA that is valid on input.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in,out] | dA | REAL array, dimension (LDDA,N) The m by m matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zsymmetrize()

void magmablas_zsymmetrize | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

ZSYMMETRIZE copies lower triangle to upper triangle, or vice-versa, to make dA a general representation of a symmetric matrix.

In Complex, it sets the diagonal to be Real.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA that is valid on input.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in,out] | dA | COMPLEX_16 array, dimension (LDDA,N) The m by m matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.